# Uses of Class
org.eclipse.equinox.p2.repository.metadata.spi.AbstractMetadataRepository.RepositoryState

Packages that use AbstractMetadataRepository.RepositoryState
Package
Description
org.eclipse.equinox.p2.repository.metadata.spi
Defines SPI for registering new implementations of metadata repositories.

## Uses of AbstractMetadataRepository.RepositoryState in org.eclipse.equinox.p2.repository.metadata.spi

Methods in org.eclipse.equinox.p2.repository.metadata.spi with parameters of type AbstractMetadataRepository.RepositoryState
Modifier and Type
Method
Description
`abstract void`
AbstractMetadataRepository.`initialize(AbstractMetadataRepository.RepositoryState state)`
Initializes this class based on the provided previously persisted state